[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCanResizeEvent

TCanResizeEvent - generic event handling method for resizing using splitter.

## Declaration

Source position: extctrls.pp line 359

`type TCanResizeEvent = procedure(`
`Sender: TObject;`
`var NewSize: Integer;`
`var Accept: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object generating the event notification.
`NewSize` |  | New size for the resize operation.
`Accept` |  | Indicates if the new value is accepted.

## Description

TCanResizeEvent specifies an event handler signalled when a control is resized. Use to the arguments to the event handler to access the new size for the control and to set a flag that indicates if the new value is acceptable.

TCanResizeEvent is the type used to implement the OnCanResize event handler in TCustomSplitter and TCustomControlBar.

## See also

TCustomSplitter.OnCanResize |  | Event handler signalled to determine if the splitter control can be resized / dragged / moved.
TCustomControlBar.OnCanResize |  | Not used in the current implementation of TCustomControlBar / TControlBar.